Object used to expose the login user information.

Example of usage:

       (window as any).gmfapi.store.user.getProperties().subscribe({
         next: (user: User) => {
           ...
         },
       })

### Hierarchy

- UserModel

## Index

### Constructors

- constructor

### Methods

- getEmptyUserProperties
- getLoginMessage
- getProperties
- getState
- setLoginMessage
- setUser

## Constructors

### constructor

- new UserModel(): UserModel

- - Defined in srcapi/store/user.ts:151

  #### Returns UserModel

## Methods

### getEmptyUserProperties

- getEmptyUserProperties(): User

- - Defined in srcapi/store/user.ts:205

  #### Returns User

  an empty user.

### getLoginMessage

- getLoginMessage(): BehaviorSubject<string>

- - Defined in srcapi/store/user.ts:174

  #### Returns BehaviorSubject<string>

  The observable login message.

### getProperties

- getProperties(): BehaviorSubject<User>

- - Defined in srcapi/store/user.ts:160

  #### Returns BehaviorSubject<User>

  the observable user's properties.

### getState

- getState(): UserState

- - Defined in srcapi/store/user.ts:167

  #### Returns UserState

  the current user state.

### setLoginMessage

- setLoginMessage(messageState: string): void

- - Defined in srcapi/store/user.ts:183

  Set the current login message

  #### Parameters

  - ##### messageState: string

    The new login message.

  #### Returns void

### setUser

- setUser(properties: User, state: UserState): void

- - Defined in srcapi/store/user.ts:193

  Set the current User's properties and state.

  #### Parameters

  - ##### properties: User

    The new user

  - ##### state: UserState

    The new state

  #### Returns void

Generated using TypeDoc